%define fversion 1.6.2


Summary:   CheckInstall installations tracker
Name:      checkinstall
Version:   1.6.2.16
Release:   %mkrel 20
License:   GPLv2+
Group:     System/Packaging
#gw git snapshot
Source:    https://checkinstall.izto.org/files/source/%{name}-%{fversion}.tar.gz
Patch0:    checkinstall-mdv-fix-paths.patch
Patch2:    checkinstall-1.6.1-mdv-rpm-version-check.patch
Patch3:    installwatch-glibc_minor.patch
Patch4:    checkinstall-mdv-rpm-set-buildroot.patch
Patch5:    checkinstall-1.6.2-mga-test-open.patch
# Debian patches
Patch6:    checkinstall-1.6.1-deb-mdv-build-with-new-glibc.patch
Patch7:    checkinstall-1.6.2-cflags.patch
Patch8:    checkinstall-1.6.2-deb-0013-fix-installcheck-tests.patch
Patch9:    checkinstall-1.6.2-deb-0014-fix-xstat64.patch
Patch10:   checkinstall-1.6.2-deb-0015-add-renameat2.patch
Patch11:   checkinstall-1.6.2-deb-0016-Define-_STAT_VER-_MKNOD_VER-locally-dropped-in-glibc.patch
Patch12:   checkinstall-1.6.2-mga-dirent.patch
Url:       https://asic-linux.com.mx/~izto/checkinstall/
Requires:  rpm-build

%description
CheckInstall keeps track of all the files created or modified by your
installation script ("make install" "make install_modules", "setup", etc),
builds a standard binary package and installs it in your system giving
you the ability to uninstall it with your distribution's standard
package management utilities.


%prep
%setup -q -n %{name}-%{fversion}
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}" LD="gcc" LDFLAGS="%{ldflags} -nostdlib"

%install
install -D -m 755 checkinstall %{buildroot}/%{_bindir}/checkinstall
install -D -m 755 makepak %{buildroot}/%{_sbindir}/makepak
install -m 755 installwatch/installwatch %{buildroot}/%{_bindir}
install -D -m 755 installwatch/installwatch.so %{buildroot}/%{_libdir}/checkinstall/installwatch.so
install -m 755 checkinstallrc-dist %{buildroot}/%{_libdir}/checkinstall/checkinstallrc
install -D -m 644 locale/checkinstall-es.mo %{buildroot}%{_libdir}/checkinstall/locale/es/LC_MESSAGES/checkinstall.mo
perl -pi -e "s!#PREFIX#!%_prefix!" %{buildroot}%{_bindir}/installwatch
perl -pi -e "s!/lib/!/%_lib/!" %{buildroot}%{_bindir}/*

%check
mkdir -p "${PWD}/install/lib/" 
# hack to fake that it was installed like the install section above
ln -s . "${PWD}/install/lib/checkinstall"
%make_build CFLAGS="%{optflags}" LD="gcc" LDFLAGS="%{ldflags}" PREFIX="${PWD}/install" -C installwatch test

%files
%doc README RELNOTES BUGS TODO CREDITS
%{_bindir}/installwatch
%{_bindir}/checkinstall
%{_sbindir}/makepak
%dir %{_libdir}/checkinstall/
%{_libdir}/checkinstall/checkinstallrc
%{_libdir}/checkinstall/installwatch.so
%lang(es) %{_libdir}/checkinstall/locale/es
%dir %{_libdir}/checkinstall/locale/


%changelog
* Sat Jul 19 2025 danf <danf> 1.6.2.16-20.mga10
+ Revision: 2257499
- Add dirent.patch to fix building with gcc 15
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 danf <danf> 1.6.2.16-19.mga9
+ Revision: 1793828
- Add patches from Debian to fix bugs and allow compiling with glibc 2.35
- Enable regression tests during build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.6.2.16-18.mga8
+ Revision: 1526035
- Mageia 8 Mass Rebuild

* Sun Apr 21 2019 daviddavid <daviddavid> 1.6.2.16-17.mga7
+ Revision: 1394346
- improve cflags patch to fix: "ERROR: No build ID note found in installwatch.so"

* Sat Sep 22 2018 umeabot <umeabot> 1.6.2.16-16.mga7
+ Revision: 1296114
- Mageia 7 Mass Rebuild

* Tue Sep 12 2017 cjw <cjw> 1.6.2.16-15.mga7
+ Revision: 1153096
- fix debug packages

* Tue Feb 09 2016 umeabot <umeabot> 1.6.2.16-14.mga6
+ Revision: 952341
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 luigiwalser <luigiwalser> 1.6.2.16-13.mga5
+ Revision: 815593
- fix patch5 in the patch, not by using a symlink

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2.16-12.mga5
+ Revision: 747332
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.6.2.16-11.mga5
+ Revision: 693591
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2.16-10.mga5
+ Revision: 678363
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.2.16-9.mga4
+ Revision: 521392
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.6.2.16-8.mga3
+ Revision: 390731
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.6.2.16-7.mga3
+ Revision: 347651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 pterjan <pterjan> 1.6.2.16-6.mga3
+ Revision: 340566
- Replace the patch about glibc minor with one from opensus not needing to be updated for each new glibc

* Fri Jul 13 2012 solbu <solbu> 1.6.2.16-5.mga3
+ Revision: 270553
- imported package checkinstall
- Renamed patches, according to policy.
- Spec cleanup
- Don't ship COPYING and INSTALL

